Package org.apache.cxf.service.model

# Interface Extensible

All Known Implementing Classes:
  `AbstractDescriptionElement`, `AbstractMessageContainer`, `AbstractPropertiesHolder`, `BindingFaultInfo`, `BindingInfo`, `BindingMessageInfo`, `BindingOperationInfo`, `DescriptionInfo`, `EndpointInfo`, `FaultInfo`, `InterfaceInfo`, `MessageInfo`, `MessagePartInfo`, `OperationInfo`, `SchemaInfo`, `ServiceInfo`, `UnwrappedOperationInfo`

public interface Extensible

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addExtensionAttribute(QName name, Object attr)`
  `void`
  `addExtensor(Object el)`
  `Object`
  `getExtensionAttribute(QName name)`
  `Map<QName,Object>`
  `getExtensionAttributes()`
  `<T> T`
  `getExtensor(Class<T> cls)`
  `<T> List<T>`
  `getExtensors(Class<T> cls)`
  `void`
  `setExtensionAttributes(Map<QName,Object> attrs)`

- ## Method Details

  - ### getExtensor

    <T> T getExtensor(Class<T> cls)

  - ### getExtensors

    <T> List<T> getExtensors(Class<T> cls)

  - ### addExtensor

    void addExtensor(Object el)

  - ### getExtensionAttribute

    Object getExtensionAttribute(QName name)

  - ### getExtensionAttributes

    Map<QName,Object> getExtensionAttributes()

  - ### addExtensionAttribute

    void addExtensionAttribute(QName name, Object attr)

  - ### setExtensionAttributes

    void setExtensionAttributes(Map<QName,Object> attrs)